org.eclipse.microprofile.rest.client.tck

## Class ProvidesRestClientBuilderTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.ProvidesRestClientBuilderTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class ProvidesRestClientBuilderTest
    extends org.jboss.arquillian.testng.Arquillian

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`ProvidesRestClientBuilderTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive<?>` `createDeployment()`
`void` `testCanCallStaticLoader()`
`void` `testIllegalStateExceptionThrownWhenNoBaseUriOrUrlSpecified()`
`void` `testLastBaseUriOrBaseUrlCallWins()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProvidesRestClientBuilderTest

    public ProvidesRestClientBuilderTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive<?> createDeployment()

#### testCanCallStaticLoader

    public void testCanCallStaticLoader()

#### testLastBaseUriOrBaseUrlCallWins

    public void testLastBaseUriOrBaseUrlCallWins()
                                          throws Exception

Throws:
  `Exception`

#### testIllegalStateExceptionThrownWhenNoBaseUriOrUrlSpecified

    public void testIllegalStateExceptionThrownWhenNoBaseUriOrUrlSpecified()